%define version 2.0.7
%define release 1mdk

Summary: 	Displays a periodic table of the elements.
Name: 		gperiodic
Version:	%{version}
Release: 	%{release}
License: 	GPL
Group:	 	Sciences/Physics
Source:	 	%{name}-%{version}.tar.bz2
# (Abel) 2.0.7-1mdk No make clean after make install (for --short-circuit)
Patch0:		%{name}-2.0.7-no-make-clean.patch.bz2
URL: 		http://www.acclab.helsinki.fi/~frantz/software/gperiodic.php
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+2-devel
BuildRequires:	ImageMagick
BuildRequires:	gettext

%description
Gperiodic displays a periodic table of the elements, allowing you to
browse through the elements, and view detailed information about each
element.

%prep
%setup -q
%patch0 -p1 -b .noclean

%build
%make

%install
rm -rf %{buildroot}

install -m 0755 -d \
	%{buildroot}%{_datadir}/pixmaps \
	%{buildroot}%{_datadir}/applications \
	%{buildroot}%{_bindir}

%makeinstall

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_bindir}/gperiodic" \
 title="Gperiodic" \
 longtitle="Periodic table" \
 needs="x11" \
 section="Applications/Sciences/Physics" \
 icon="%{name}.png"
EOF

# icons
install -d -m 755 %{buildroot}%{_iconsdir} \
                  %{buildroot}%{_miconsdir}

install -D -m 644       gperiodic.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 gperiodic.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 gperiodic-crystal.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%post
%update_menus
 
%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root)
%doc README ChangeLog INSTALL
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sat Nov 08 2003 Abel Cheung <deaddog@deaddog.org> 2.0.7-1mdk
- 2.0.7
- Spec cleanup
- Use ImageMagick to convert icons

* Fri Aug 01 2003 Michael Scherer <scherer.michael@free.fr> 2.0.6-2mdk
- BuildRequires libgtk2.0-devel

* Sun Jul 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- 2.0.6

* Mon Apr 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-1mdk
- 2.0.4

* Mon Mar 31 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.3-1mdk
- 2.0.3
- fix file list & install
- new url

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.3-3mdk
- rebuild

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.3-2mdk
- build for new readline

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.3-1mdk
- Fix menu entry
- Update code (1.3.3)

* Thu Jul 19 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-6mdk
- rebuild

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-5mdk
- rebuild
- new url

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-4mdk
- BM
- macros
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-3mdk
- fix group

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- ooopps...correct the wrong line in changelog 8-(

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- initial specfile

